Next: CHAR, Previous: C_SIZEOF, Up: Intrinsic Procedures [Contents][Index]

### 8.45 `CEILING` — Integer ceiling function

Description:

  `CEILING(A)` returns the least integer greater than or equal to A.

Standard:

  Fortran 95 and later

Class:

  Elemental function

Syntax:

  `RESULT = CEILING(A [, KIND])`

Arguments:

  A | The type shall be `REAL`.
  KIND | (Optional) An `INTEGER` initialization expression indicating the kind parameter of the result.

Return value:

  The return value is of type `INTEGER(KIND)` if KIND is present and a default-kind `INTEGER` otherwise.

Example:

      program test_ceiling
          real :: x = 63.29
          real :: y = -63.59
          print *, ceiling(x) ! returns 64
          print *, ceiling(y) ! returns -63
      end program test_ceiling

See also:

  FLOOR, NINT